using System.Collections.Generic;

namespace ttrss_co_client.ttrss.datastructures
{
    public class Headline
    {
        public int id { get; set; }
        //TODO: custom converter for ttrss's guid
        public string guid { get; set; }
        public bool unread { get; set; }
        public bool marked { get; set; }
        public bool published { get; set; }
        public int updated { get; set; }
        public bool is_updated { get; set; }
        public string title { get; set; }
        public Uri link { get; set; }
        public int feed_id { get; set; }
        public IEnumerable<string> tags { get; set; }
        public string content { get; set; }
        ///See <cref name="ttrss_co_client.ttrss.datastructures.Label" />
        public IEnumerable<IEnumerable<string>> labels { get; set; }
        public string feed_title { get; set; }
        public int comments_count { get; set; }
        public Uri comments_link { get; set; }
        public bool always_display_attachments { get; set; }
        public string author { get; set; }
        public double score { get; set; }
        public string note { get; set; }
        public string lang { get; set; }
        public Uri flavor_image { get; set; }
        public string flavor_stream { get; set; }
    }
}